%include goptions;		*-- Replace with desired graphics options;
*-- Make plots square;
goptions vsize=7.5 hsize=7.5 htext=1.5;

data test;
  drop i;
  do i=1 to 60;
     gp = 1 + mod(i,3);
     x1 = round( 100*uniform(0));
     x2 = round( 100*uniform(0)) + x1 - 50;
     x3 = round( 100*uniform(0)) - x1 + x2;
     x4 = round( 100*uniform(0)) + x1 - x3;
     x5 = round( 100*uniform(0)) + x4 - x3;
     output;
     end;
 
%let nv = 2;
*-- Don't display the individual panels;
goptions nodisplay gsfmode=none;

*-- Quick & dirty scatterplot matrix;
title  h=.1 '';
proc gplot data=test;
	plot (x1-x&nv) * (x1-x&nv) = gp 
		/ frame nolegend;
	symbol1 v=square   c=black i=rl;	
	symbol2 v=dot      c=red   i=rl;	
	symbol3 v=triangle c=blue  i=rl;	
run;

goptions display gsfmode=append;
%panels (rows=&nv, cols=&nv);

%gfinish;			*-- Perform post-processing, as required;
